/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl.database;

import database.connection.ConnectionFactory;
import domain.Manufacturer;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import storage.StorageManufacturer;

/**
 *
 * @author student1
 */
public class StorageDatabaseManufacturer implements StorageManufacturer {

    @Override
    public List<Manufacturer> getAll() throws SQLException {
        List<Manufacturer> manufacturers = new ArrayList<>();
        try {
            Connection connection = ConnectionFactory.getInstance().getConnection();
            String query = "SELECT * FROM manufacturer ORDER BY name";
            Statement statement = connection.createStatement();
            ResultSet rs = statement.executeQuery(query);
            while (rs.next()) {
                Long id = rs.getLong("id");
                String name = rs.getString("name");
                Manufacturer manufacturer = new Manufacturer(id, name);
                manufacturers.add(manufacturer);
            }
            rs.close();
            statement.close();
        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
            throw new SQLException(ex.getMessage());
        }

        return manufacturers;
    }

}
